Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`error`.`Error``

exception documentation

`class Error(Exception): (source)`

Known subclasses: `twisted.web.client.PartialDownloadError`, `twisted.web.error.InfiniteRedirection`, `twisted.web.error.PageRedirect`, `twisted.web.error.RedirectWithNoLocation`

Constructor: `Error(code, message, response)`

View In Hierarchy

A basic HTTP error.

Parameters
message | A short error message, for example "NOT FOUND".

Method | `__init__` | Initializes a basic exception.
Method | `__str__` | Undocumented
Instance Variable | `message` | Undocumented
Instance Variable | `response` | A complete HTML document for an error page.
Instance Variable | `status` | Refers to an HTTP status code, for example `http.NOT_FOUND`.

def __init__(self, code: `Union[int, bytes]`, message: `Optional[bytes]` = None, response: `Optional[bytes]` = None): (source)
overridden in `twisted.web.error.InfiniteRedirection`, `twisted.web.error.PageRedirect`, `twisted.web.error.RedirectWithNoLocation`

Initializes a basic exception.

Parameters
code:`bytes` or `int` | Refers to an HTTP status code (for example, 200) either as an integer or a bytestring representing such. If no `message` is given, `code` is mapped to a descriptive bytestring that is used instead.
message:`bytes` | A short error message, for example `b"NOT FOUND"`.
response:`bytes` | A complete HTML document for an error page.

def __str__(self) -> `str`: (source)

Undocumented

message: `Optional[bytes]` = (source)
overridden in `twisted.web.error.InfiniteRedirection`, `twisted.web.error.PageRedirect`, `twisted.web.error.RedirectWithNoLocation`

Undocumented

response: `Optional[bytes]` = (source)
overridden in `twisted.web.client.PartialDownloadError`

A complete HTML document for an error page.

status: `bytes` = (source)

Refers to an HTTP status code, for example `http.NOT_FOUND`.